Bug 91908 - kwin crashes when switching windows -- kde bug 53158
Summary: kwin crashes when switching windows -- kde bug 53158
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-29 16:04 UTC by Matt Rudary
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-03 10:27:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Rudary 2003-05-29 16:04:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
kwin crashes on some focus changes. It always crashes when switching focus to a
shaded window. This bug may have existed in the original RH8 install, but it
certainly exists in this updated version. A patch exists at
http://bugs.kde.org/show_bug.cgi?id=53158, but I have not tested this patch.

Note: I use lazy follow focus. I haven't tested with other focus types.

Version-Release number of selected component (if applicable):
kdebase-3.0.5a-4

How reproducible:
Always

Steps to Reproduce:
1. Open two application.
2. Window-shade one of the windows.
3. Switch focus to the unshaded window and then back to the shaded window.
    

Actual Results:  kwin segfaults and produces the kde crash dialog. I can restart
kwin manually by running /usr/bin/kwin

Expected Results:  No segfault

Additional info:

Comment 1 Ngo Than 2003-06-03 10:27:23 UTC
i seems that KDE 3.05/3.1.1 also has this bug. It's fixed in kde 3.1.2


Note You need to log in before you can comment on or make changes to this bug.